The BOOST_PP_MIN macro expands to the lesser of its two arguments.

#### Usage

BOOST_PP_MIN(x, y)

#### Arguments

x
  The first operand. Valid values range from 0 to BOOST_PP_LIMIT_MAG.
y
  The second operand. Valid values range from 0 to BOOST_PP_LIMIT_MAG.

#### Remarks

This macro returns the lesser of its two arguments or the value of both arguments if they are equal.
Previously, this macro could not be used inside BOOST_PP_WHILE. There is no longer any such restriction. It is more efficient, however, to use BOOST_PP_MIN_D in such a situation.

#### See Also

- BOOST_PP_LIMIT_MAG
- BOOST_PP_MIN_D

#### Requirements

Header: <boost/preprocessor/selection/min.hpp>

#### Sample Code

    #include <boost/preprocessor/selection/min.hpp>

    BOOST_PP_MIN(5, 7) // expands to 5
    BOOST_PP_MIN(3, 3) // expands to 3